
QGIS Application - Bug report #9758

Unable to "classify" graduated style

2014-03-11 01:34 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 18304

Description

1) Add a shapefile

2) Go into its style properties

3) Change to "Graduated" symbol.

4) Press "Classify".

You'll now get an error:

"Renderer creation has failed"

This is almost certainly because a column to classify against wasn't specified. However the error should be a user friendly one:

"Please select a Column to classify."

Alternately, just add "no value", which is what happens when this is done with "categorised" style type.

History

#1 - 2014-06-20 08:52 AM - Jürgen Fischer

- Category set to Symbology

#2 - 2016-01-20 02:37 AM - Alexander Bruy

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Fixed in master. Please reopen if necessary
